<?php
/* 
	Author: 庄子 
	QQ    : 88085905
	WEB   : www.ncyteng.com 南昌雅腾科技有限公司
 */
   session_start();
	require '../vendor/autoload.php'; 
	//利用composer 的自动加载文件 加载通过composer下载的类, 及我们自定义的 以命名空间命名的类
	
	
/* 
   自动加载自己定义的非 命名空间 类 要求: 文件名与类名相同, 非以命名空间命名的类
*/
	spl_autoload_register(function ($classname) {
		$file = "/../src/extend/" . $classname . ".php";
   		 require (__DIR__ . $file);	
	});

	//加载配置信息， 在slim应用实例化时， 加载设置配置全局变量信息 并存储到容器中, 在项目应用中可以直接读取 配置信息
	$settings = require __DIR__ . '/../src/settings.php';
	$app = new \Slim\App($settings);
	
	// 定义 依赖类注入 将一些类注册到slim的$container容器, 可以在 路由中 直接 加载应用 通过 如: $this->db->query()访问
    require __DIR__ . '/../src/dependencies.php';

	
	//定义中间件, 即在应用开始之前或者之后想做的一些事情 可以加在 $app, 某一路由, 某一组路由后
	require __DIR__ . '/../src/middleware.php'; 

    // 定义 app 路由
    // 我们的应用工作都是放在路由文件, 根据不同的路由判定, 来执行对应的工作
    require __DIR__ . '/../src/routes.php';
    
	// 运行 app
     $app->run();
?>